
Audacious - Bug #959

Window title may state "Buffering ..." erroneously

April 08, 2020 22:19 - Thomas Lange

Status: Closed Start date: April 08, 2020

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: libaudcore Estimated time: 0.00 hour

Target version: 4.0.2   

Affects version: 4.0.1   

Description

The window title of the Qt interface sometimes shows "Buffering ..."

although this is incorrect and the song is already playing for a few seconds.

It is not updated again before another song is played.

How to reproduce:

1. Stop playback

2. Restart Audacious

3. Open multiple audio files (at least three)

Result:

Initially the window title is set correctly in MainWindow::title_change_cb(),

then MainWindow::playback_begin_cb() is called which queues MainWindow::buffering_cb()

where the title is overwritten again to "Buffering ...".

History

#1 - April 09, 2020 03:29 - John Lindgren

The order of the hooks is supposed to be:

1. "playback begin"

2. "playback ready"

And "title change" is not supposed to be called unless the title changes after "playback ready" (which should only happen for streaming).

MainWindow::title_change_cb() is connected to "playback ready" and should set the title and cancel the timer for MainWindow::buffering_cb(), so that

the title is not changed to back to "Buffering ...".

It seems that if all that is implemented correctly, the title should never be "Buffering ..." after the "playback ready" hook. I'm unable to reproduce the

issue, so could you check whether the order of events I've described is happening correctly, or where it's going wrong?

#2 - April 09, 2020 10:13 - Thomas Lange

- File Screencast.ogv added

- File Debug.patch added

Please see the attached video.

If the title is wrong the order of "playback begin" and "playback ready" is the other way around.

Maybe you may have to try it a few times to reproduce this issue.

Important is to restart Audacious before opening new songs (for whatever reason).
#3 - April 09, 2020 14:49 - John Lindgren

Okay thanks. I was able to reproduce it after trying again. This should fix it:

https://github.com/audacious-media-player/audacious/commit/1ffac65a65f332b04ad40ea33aa2010ac20f851b

#4 - April 09, 2020 14:50 - John Lindgren

- % Done changed from 0 to 100

- Target version set to 4.0.2

- Status changed from New to Closed

- Category changed from plugins/qtui to libaudcore

Files

Debug.patch 1.55 KB April 09, 2020 Thomas Lange

Screencast.ogv 1.62 MB April 09, 2020 Thomas Lange
